Get a network for a dedicated server
GET/v1/hosts/dedicated_servers/{server_id}/networks/{network_id}
A GET request sent to the /v1/hosts/dedicated_servers/{server_id}/networks/{network_id} endpoint will show network details. Identify a server and network with their IDs in the path parameters.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
server_id | stringA unique identifier of a server. |
network_id | stringA unique identifier of the network. |
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/hosts/dedicated_servers/3YaOGRax/networks/9wdLqWej"{ "id": "9wdLqWej", "title": "Public", "status": "active", "cidr": "100.0.8.0/29", "family": "ipv4", "interface_type": "public", "distribution_method": "gateway", "additional": false, "updated_at": "2026-05-28T07:06:48Z", "created_at": "2026-05-28T07:06:48Z"}